#!/bin/sh
#
# Stop SFCB if it is running.  Create a semaphore file if SFCB 
# was stopped that can be checked by the start_sfcb.sh script. 
#

SEMAPHORE="/tmp/smx-stopped-sfcb"
rm -f $SEMAPHORE

if [ -e /etc/init.d/sblim-sfcb ]; then
    # RHEL6
    SFCB_SERVICE=/etc/init.d/sblim-sfcb
else
    # SLES11
    SFCB_SERVICE=/etc/init.d/sfcb
fi

$SFCB_SERVICE status > /dev/null

if [ $? == 0 ]; then

    # SFCB is running so we must stop it

    $SFCB_SERVICE stop

    if [ $? != 0 ]; then
	echo "Could not stop sfcb to install providers"
	exit 1
    fi

    # Communicate to stop_sfcb.sh script that we have started SFCB

    touch $SEMAPHORE
fi
